package cn.com.poc.human_resources.query;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import cn.com.yict.framemax.data.model.BaseItemClass;

/**
 * Query Item class for ResumeQuery
 */
@Entity
public class ResumeQueryItem extends BaseItemClass implements Serializable{

    private static final long serialVersionUID = 1L;
    
    /** id
    *id
    */ 
    private java.lang.Long id;
    
    @Column(name = "id")
    public java.lang.Long getId(){
        return this.id;
    }
    
    public void setId(java.lang.Long id){
        this.id = id;
    }
    
    /** position
    *position
    */ 
    private java.lang.Long position;
    
    @Column(name = "position")
    public java.lang.Long getPosition(){
        return this.position;
    }
    
    public void setPosition(java.lang.Long position){
        this.position = position;
    }
    
    /** name
    *name
    */ 
    private java.lang.String name;
    
    @Column(name = "name")
    public java.lang.String getName(){
        return this.name;
    }
    
    public void setName(java.lang.String name){
        this.name = name;
    }
    
    /** file_url
    *file_url
    */ 
    private java.lang.String fileUrl;
    
    @Column(name = "file_url")
    public java.lang.String getFileUrl(){
        return this.fileUrl;
    }
    
    public void setFileUrl(java.lang.String fileUrl){
        this.fileUrl = fileUrl;
    }
    
    /** current_position
    *current_position
    */ 
    private java.lang.String currentPosition;
    
    @Column(name = "current_position")
    public java.lang.String getCurrentPosition(){
        return this.currentPosition;
    }
    
    public void setCurrentPosition(java.lang.String currentPosition){
        this.currentPosition = currentPosition;
    }
    
    /** core_skills
    *core_skills
    */ 
    private java.lang.String coreSkills;
    
    @Column(name = "core_skills")
    public java.lang.String getCoreSkills(){
        return this.coreSkills;
    }
    
    public void setCoreSkills(java.lang.String coreSkills){
        this.coreSkills = coreSkills;
    }
    
    /** education_level
    *education_level
    */ 
    private java.lang.Integer educationLevel;
    
    @Column(name = "education_level")
    public java.lang.Integer getEducationLevel(){
        return this.educationLevel;
    }
    
    public void setEducationLevel(java.lang.Integer educationLevel){
        this.educationLevel = educationLevel;
    }
    
    /** education_background
    *education_background
    */ 
    private java.lang.String educationBackground;
    
    @Column(name = "education_background")
    public java.lang.String getEducationBackground(){
        return this.educationBackground;
    }
    
    public void setEducationBackground(java.lang.String educationBackground){
        this.educationBackground = educationBackground;
    }
    
    /** education_experience
    *education_experience
    */ 
    private java.lang.String educationExperience;
    
    @Column(name = "education_experience")
    public java.lang.String getEducationExperience(){
        return this.educationExperience;
    }
    
    public void setEducationExperience(java.lang.String educationExperience){
        this.educationExperience = educationExperience;
    }
    
    /** gender_and_age
    *gender_and_age
    */ 
    private java.lang.String genderAndAge;
    
    @Column(name = "gender_and_age")
    public java.lang.String getGenderAndAge(){
        return this.genderAndAge;
    }
    
    public void setGenderAndAge(java.lang.String genderAndAge){
        this.genderAndAge = genderAndAge;
    }
    
    /** occupational_history
    *occupational_history
    */ 
    private java.lang.String occupationalHistory;
    
    @Column(name = "occupational_history")
    public java.lang.String getOccupationalHistory(){
        return this.occupationalHistory;
    }
    
    public void setOccupationalHistory(java.lang.String occupationalHistory){
        this.occupationalHistory = occupationalHistory;
    }
    
    /** other
    *other
    */ 
    private java.lang.String other;
    
    @Column(name = "other")
    public java.lang.String getOther(){
        return this.other;
    }
    
    public void setOther(java.lang.String other){
        this.other = other;
    }
    
    /** work_experience
    *work_experience
    */ 
    private java.lang.String workExperience;
    
    @Column(name = "work_experience")
    public java.lang.String getWorkExperience(){
        return this.workExperience;
    }
    
    public void setWorkExperience(java.lang.String workExperience){
        this.workExperience = workExperience;
    }
    
    /** work_location
    *work_location
    */ 
    private java.lang.String workLocation;
    
    @Column(name = "work_location")
    public java.lang.String getWorkLocation(){
        return this.workLocation;
    }
    
    public void setWorkLocation(java.lang.String workLocation){
        this.workLocation = workLocation;
    }
    
    /** label
    *label
    */ 
    private java.lang.String label;
    
    @Column(name = "label")
    public java.lang.String getLabel(){
        return this.label;
    }
    
    public void setLabel(java.lang.String label){
        this.label = label;
    }
    
    /** evaluate
    *evaluate
    */ 
    private java.lang.String evaluate;
    
    @Column(name = "evaluate")
    public java.lang.String getEvaluate(){
        return this.evaluate;
    }
    
    public void setEvaluate(java.lang.String evaluate){
        this.evaluate = evaluate;
    }
    
    /** matched_degree
    *matched_degree
    */ 
    private java.lang.Long matchedDegree;
    
    @Column(name = "matched_degree")
    public java.lang.Long getMatchedDegree(){
        return this.matchedDegree;
    }
    
    public void setMatchedDegree(java.lang.Long matchedDegree){
        this.matchedDegree = matchedDegree;
    }
    
    /** member_id
    *member_id
    */ 
    private java.lang.Long memberId;
    
    @Column(name = "member_id")
    public java.lang.Long getMemberId(){
        return this.memberId;
    }
    
    public void setMemberId(java.lang.Long memberId){
        this.memberId = memberId;
    }
    
    /** is_deleted
    *is_deleted
    */ 
    private java.lang.String isDeleted;
    
    @Column(name = "is_deleted")
    public java.lang.String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(java.lang.String isDeleted){
        this.isDeleted = isDeleted;
    }
    
    /** CREATOR
    *CREATOR
    */ 
    private java.lang.String creator;
    
    @Column(name = "CREATOR")
    public java.lang.String getCreator(){
        return this.creator;
    }
    
    public void setCreator(java.lang.String creator){
        this.creator = creator;
    }
    
    /** CREATED_TIME
    *CREATED_TIME
    */ 
    private java.util.Date createdTime;
    
    @Column(name = "CREATED_TIME")
    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
    }
    
    /** MODIFIER
    *MODIFIER
    */ 
    private java.lang.String modifier;
    
    @Column(name = "MODIFIER")
    public java.lang.String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(java.lang.String modifier){
        this.modifier = modifier;
    }
    
    /** MODIFIED_TIME
    *MODIFIED_TIME
    */ 
    private java.util.Date modifiedTime;
    
    @Column(name = "MODIFIED_TIME")
    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
    }
    
    /** SYS_VERSION
    *SYS_VERSION
    */ 
    private java.lang.Integer sysVersion;
    
    @Column(name = "SYS_VERSION")
    public java.lang.Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(java.lang.Integer sysVersion){
        this.sysVersion = sysVersion;
    }
    
} 